aboutsummaryrefslogtreecommitdiffstats
path: root/appc-metric
diff options
context:
space:
mode:
authorSkip Wonnell <skip@att.com>2017-12-19 17:33:02 -0600
committerSkip Wonnell <skip@att.com>2017-12-21 14:41:01 +0000
commitf602f93440893507068a2e4e76816bdcdb6a39ad (patch)
treedabec11c1f5fc000d6100add010a4453c58fc91b /appc-metric
parent77bf19889ff24aba360c5b457ca47b6d74f48e11 (diff)
Platform hardening for appc-metric
Issue-ID: APPC-305 Change-Id: I4183e2a723fa50ff1398f584a77c1234d28e8340 Signed-off-by: Skip Wonnell <skip@att.com>
Diffstat (limited to 'appc-metric')
-rw-r--r--appc-metric/appc-metric-bundle/src/main/java/org/onap/appc/metricservice/MetricService.java2
-rw-r--r--appc-metric/appc-metric-installer/src/main/resources/scripts/install-feature.sh38
2 files changed, 20 insertions, 20 deletions
diff --git a/appc-metric/appc-metric-bundle/src/main/java/org/onap/appc/metricservice/MetricService.java b/appc-metric/appc-metric-bundle/src/main/java/org/onap/appc/metricservice/MetricService.java
index 65ff72d97..bf423eeb9 100644
--- a/appc-metric/appc-metric-bundle/src/main/java/org/onap/appc/metricservice/MetricService.java
+++ b/appc-metric/appc-metric-bundle/src/main/java/org/onap/appc/metricservice/MetricService.java
@@ -34,7 +34,7 @@ public interface MetricService {
/**
* This API will be used to get the Map of all the registered Registry for the Metric Service
- * @return Map<String,MetricRegistry> where String will be the name of the Metric Registry
+ * @return Map<String,MetricRegistry> where String will be the name of the Metric Registry
* and MetricRegistry will be the actual object for that Registry
*/
Map<String,MetricRegistry> getAllRegistry();
diff --git a/appc-metric/appc-metric-installer/src/main/resources/scripts/install-feature.sh b/appc-metric/appc-metric-installer/src/main/resources/scripts/install-feature.sh
index 13d41ca56..d3596c688 100644
--- a/appc-metric/appc-metric-installer/src/main/resources/scripts/install-feature.sh
+++ b/appc-metric/appc-metric-installer/src/main/resources/scripts/install-feature.sh
@@ -33,31 +33,31 @@ REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
if [ -f ${REPOZIP} ]
then
- unzip -n -d ${ODL_HOME} ${REPOZIP}
+ unzip -n -d ${ODL_HOME} ${REPOZIP}
else
- echo "ERROR : repo zip ($REPOZIP) not found"
- exit 1
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
fi
COUNT=0
while [ $COUNT -lt 10 ]; do
- ${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories} 2> /tmp/installErr
- cat /tmp/installErr
- if grep -q 'Failed to get the session' /tmp/installErr; then
- sleep 10
- else
- let COUNT=10
- fi
- let COUNT=COUNT+1
+ ${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories} 2> /tmp/installErr
+ cat /tmp/installErr
+ if grep -q 'Failed to get the session' /tmp/installErr; then
+ sleep 10
+ else
+ let COUNT=10
+ fi
+ let COUNT=COUNT+1
done
COUNT=0
while [ $COUNT -lt 10 ]; do
- ${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot} 2> /tmp/installErr
- cat /tmp/installErr
- if grep -q 'Failed to get the session' /tmp/installErr; then
- sleep 10
- else
- let COUNT=10
- fi
- let COUNT=COUNT+1
+ ${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot} 2> /tmp/installErr
+ cat /tmp/installErr
+ if grep -q 'Failed to get the session' /tmp/installErr; then
+ sleep 10
+ else
+ let COUNT=10
+ fi
+ let COUNT=COUNT+1
done